scala.tools.ant.sabbus

# CompilationPathProperty

#### trait CompilationPathProperty extends AnyRef

Self Type
  CompilationPathProperty with Task
Source
  TaskArgs.scala

Linear Supertypes
AnyRef, Any
Known Subclasses
Make, ScalacFork, TaskArgs
Type Hierarchy Learn more about scaladoc diagrams
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. CompilationPathProperty
2. AnyRef
3. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### def +(other: String): String

   Implicit information
     This member is added by an implicit conversion from CompilationPathProperty to any2stringadd[CompilationPathProperty] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd

4. #### def ->[B](y: B): (CompilationPathProperty, B)

   Implicit information
     This member is added by an implicit conversion from CompilationPathProperty to ArrowAssoc[CompilationPathProperty] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

6. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

7. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

8. #### var compilationPath: Option[Path]

   Attributes
     protected

9. #### def createCompilationPath: Path

10. #### def ensuring(cond: (CompilationPathProperty) ⇒ Boolean, msg: ⇒ Any): CompilationPathProperty

    Implicit information
      This member is added by an implicit conversion from CompilationPathProperty to Ensuring[CompilationPathProperty] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

11. #### def ensuring(cond: (CompilationPathProperty) ⇒ Boolean): CompilationPathProperty

    Implicit information
      This member is added by an implicit conversion from CompilationPathProperty to Ensuring[CompilationPathProperty] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

12. #### def ensuring(cond: Boolean, msg: ⇒ Any): CompilationPathProperty

    Implicit information
      This member is added by an implicit conversion from CompilationPathProperty to Ensuring[CompilationPathProperty] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

13. #### def ensuring(cond: Boolean): CompilationPathProperty

    Implicit information
      This member is added by an implicit conversion from CompilationPathProperty to Ensuring[CompilationPathProperty] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

14. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

15. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

16. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

17. #### def formatted(fmtstr: String): String

    Implicit information
      This member is added by an implicit conversion from CompilationPathProperty to StringFormat[CompilationPathProperty] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()

18. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

19. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

20. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

21. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

22. #### final def notify(): Unit

    Definition Classes
      AnyRef

23. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

24. #### def setCompilationPath(input: Path): Unit

25. #### def setCompilationPathRef(input: Reference): Unit

26. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

27. #### def toString(): String

    Definition Classes
      AnyRef → Any

28. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

29. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

30. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

31. #### def →[B](y: B): (CompilationPathProperty, B)

    Implicit information
      This member is added by an implicit conversion from CompilationPathProperty to ArrowAssoc[CompilationPathProperty] performed by method ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from CompilationPathProperty to any2stringadd[CompilationPathProperty]

### Inherited by implicit conversion StringFormat from CompilationPathProperty to StringFormat[CompilationPathProperty]

### Inherited by implicit conversion Ensuring from CompilationPathProperty to Ensuring[CompilationPathProperty]

### Inherited by implicit conversion ArrowAssoc from CompilationPathProperty to ArrowAssoc[CompilationPathProperty]

### Ungrouped